petsc-3.4.2 2013-07-02

# ISLocalToGlobalMappingCreate

Creates a mapping between a local (0 to n) ordering and a global parallel ordering.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISLocalToGlobalMappingCreate(MPI_Comm cm,PetscInt n,const PetscInt indices[],PetscCopyMode mode,ISLocalToGlobalMapping *mapping)

Not Collective, but communicator may have more than one process

### Input Parameters

| comm | - MPI communicator
| n | - the number of local elements
| indices | - the global index for each local element, these do not need to be in increasing order (sorted)
| mode | - see PetscCopyMode

### Output Parameter

mapping -new mapping data structure

### See Also

ISLocalToGlobalMappingDestroy(), ISLocalToGlobalMappingCreateIS()

Level:advanced
Location:src/vec/is/utils/isltog.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex8.c.html
src/vec/is/is/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex30.cxx.html